// $Id: mm_midi.h 331 2008-05-10 20:31:33Z tk $
/*
 * MIDIbox MM V2 (C version)
 *
 * ==========================================================================
 *
 *  Copyright (C) 2005 Thorsten Klose (tk@midibox.org)
 *  Licensed for personal non-commercial use only.
 *  All other rights reserved.
 * 
 * ==========================================================================
 */

#ifndef _MDMX_DMX_H
#define _MDMX_DMX_H

/////////////////////////////////////////////////////////////////////////////
// Exported variables
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// Global definitions
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// Type definitions
/////////////////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////////////////////////////
// Prototypes
/////////////////////////////////////////////////////////////////////////////

void MDMX_DMX_Receive(unsigned char command, unsigned char channel, unsigned char level);
void MDMX_DMX_Send(unsigned char command, unsigned char channel, unsigned char level);
unsigned char MDMX_DMX_Init(unsigned char interface);
unsigned char MDMX_DMX_ChannelGet(unsigned char channel);
void MDMX_DMX_ChannelSet(unsigned char channel, unsigned char value);
unsigned char MDMX_DMX_Update_Channel(unsigned char command, unsigned char channel, unsigned char value);
void MDMX_DMX_Update_Master(unsigned char level);
unsigned char MDMX_DMX_CRC8(unsigned char byte);
unsigned char MDMX_DMX_GetChkSum(unsigned char *d,unsigned char len);
#endif /* _MDMX_DMX_H */
