/*
 * MIDIbox DMX_Controller 
 * ==========================================================================
 *
 *  Copyright (C) 2008 Phil Taylor (phil@taylor.org.uk)
 *  Licensed for personal non-commercial use only.
 *  All other rights reserved.
 * 
 * ==========================================================================
 */

#ifndef _MDMX_MENU_H
#define _MDMX_MENU_H

/////////////////////////////////////////////////////////////////////////////
// Exported variables
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// Global definitions
/////////////////////////////////////////////////////////////////////////////
#define ID_BUTTON_MENU		0x00 // Enter&Exit Menu
#define ID_BUTTON_LEFT		0x01 
#define ID_BUTTON_RIGHT		0x02	
#define ID_BUTTON_SELECT	0x03	
#define ID_BUTTON_EXIT		0x04	

/////////////////////////////////////////////////////////////////////////////
// Type definitions
/////////////////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////////////////////////////
// Prototypes
/////////////////////////////////////////////////////////////////////////////

void MDMX_Menu_Event(unsigned char button);
void MDMX_Menu_Request(char * table_ptr);

// The rest are the actual menu selection functions.
void MDMX_Menu_Patch(void);
void MDMX_Menu_Setup(void);
void MDMX_Menu_Fixture(void); 
void MDMX_Menu_Version(void);
void MDMX_Menu_ROM_ID(void);
void MDMX_Menu_Not_Handled(void);
#endif /* _MDMX_MENU_H */
